
//<![CDATA[    
isDebug = false;

//Do this on load
function initEvents() {
    if(document.getElementById("heading") == null){
        //document.getElementById("bodyNode").style.marginTop = "8px";
    }
    
    if(isDebug == false) {
         document.getElementById("debug").style.display = "none";
    }
}

//Debugging function
function trace(msg) {
    var node = document.createElement("div");
    var debugCon = document.getElementById("debug");
    node.innerHTML = msg;
    debugCon.appendChild(node);
}

function appendMessage(html) {
    
    //Remove any existing insertion point
    var insert = document.getElementById("insert");
    if(insert) insert.parentNode.removeChild(insert);
    var insert_media = document.getElementById("insert-media");
    if(insert_media) insert_media.parentNode.removeChild(insert_media);
    
    var chat = document.getElementById("Chat");
    
    var parser = new DOMParser();
    var dom = parser.parseFromString(html,"text/html");
    var newNode = dom.getElementsByTagName("table")[0];
    var node = chat.firstChild.nextSibling;
    insert = dom.getElementById("insert");
    if (document.getElementById(newNode.id) != null) {
        return;
    }
    var newId = BigInteger.parse(newNode.getAttribute("data-sort-id"));
    while (node != null) {
        if (node.getAttribute("data-sort-id") != null) {
            nodeId = BigInteger.parse(node.getAttribute("data-sort-id"));
            if (newId.compare(nodeId) == 0) {
                return;
            }
            if (newId.compare(nodeId) > 0) {
                chat.insertBefore(newNode, node);
                emoji(newNode.getElementsByClassName("tweet")[0]);
                fadeIn(newNode);
                chat.insertBefore(insert, newNode.nextSibling);
                notScroll(newNode);
                return;
            } else {
                node = node.nextSibling;
            }
        } else {
            node = node.nextSibling;
        }
    }
    if (node == null) {
        chat.appendChild(newNode);
        emoji(newNode.getElementsByClassName("tweet")[0]);
        fadeIn(newNode);
        chat.appendChild(insert, newNode);
        notScroll(newNode);
    }
}
function deleteMessage(id) {
    var node = document.getElementById(id);
    if (node != null) {
        node.style.opacity = 1;
        setTimeout(function() {
            node.style.WebkitTransition = "opacity 0.35s ease-in";
            node.style.opacity = 0;
        }, 0);
        setTimeout(function() {
        node.parentNode.removeChild(node);
        }, 350);
    }
}

function fadeIn(myNode) {
    myNode.style.visibility = "visible";
    myNode.style.opacity = 0;
    setTimeout(function() {
        myNode.style.WebkitTransition = "opacity 0.35s ease-in";
        myNode.style.opacity = 1;
    }, 0);
}

function appendNextMessage(html){
    var insert = document.getElementById("insert");
    var parser = new DOMParser();
    var dom = parser.parseFromString(html,"text/html");
    var newNode = dom.getElementsByTagName("table")[0];
    insert.parentNode.insertBefore(newNode,insert);
    fadeIn(newNode);
    notScroll(newNode);
}
function appendMedia(html){
    var insert = document.getElementById("insert-media");
    var parser = new DOMParser();
    var dom = parser.parseFromString(html,"text/html");
    var newNode = dom.getElementsByTagName("a")[0];
    var br = dom.getElementsByTagName("br")[0];
    insert.parentNode.insertBefore(br,insert);
    insert.parentNode.insertBefore(newNode,insert);
    fadeIn(newNode);
    notScroll(newNode);
}
function notScroll(node) {
    var initialScroll = document.body.scrollTop;
    if (initialScroll != 0) {
        var offset;
        if (node.className.indexOf("retweetBubble") != -1) {
            offset = -4;
        } else {
            offset = 8;
        }
        document.body.scrollTop = initialScroll + node.offsetHeight + offset;
    }
}

//Dynamically exchange the active stylesheet
function setStylesheet( id, url ) {
    var code = "<style id=\"" + id + "\" type=\"text/css\" media=\"screen,print\">";
    if( url.length ) code += "@import url( \"" + url + "\" );";
    code += "</style>";
    var range = document.createRange();
    var head = document.getElementsByTagName( "head" ).item(0);
    range.selectNode( head );
    documentFragment = range.createContextualFragment( code );
    head.removeChild( document.getElementById( id ) );
    head.appendChild( documentFragment );
}

function addUnread(id) {
    var node = document.getElementById(id);
    var unread = node.getElementsByClassName("unread")[0];
    unread.className = "unread_on";
}
function removeUnread(id) {
    var node = document.getElementById(id);
    var unread = node.getElementsByClassName("unread_on")[0];
    unread.className = "unread";
}
function hideUnread(id) {
    var node = document.getElementById(id);
    var unread = node.getElementsByClassName("unread")[0];
    unread.style.display = "none";
}
function addFavorite(id) {
    var node = document.getElementById(id);
    var favorite = node.getElementsByClassName("favorite")[0];
    favorite.className = "favorite_on";
}
function removeFavorite(id) {
    var node = document.getElementById(id);
    var favorite = node.getElementsByClassName("favorite_on")[0];
    favorite.className = "favorite";
}
function addRetweet(id) {
    var node = document.getElementById(id);
    var retweet = node.getElementsByClassName("retweet")[0];
    retweet.className = "retweet_on";
}
function removeRetweet(id) {
    var node = document.getElementById(id);
    var retweet = node.getElementsByClassName("retweet_on")[0];
    retweet.className = "retweet";
}
function setSelf(id) {
    var node = document.getElementById(id);
    var retweet = node.getElementsByClassName("retweet")[0];
    retweet.style.display = "none";
    var del = node.getElementsByClassName("delete")[0];
    del.style.display = "inline-block";
}
function setProtected(id) {
    var node = document.getElementById(id);
    var retweet = node.getElementsByClassName("retweet")[0];
    retweet.style.display = "none";
    var lock = node.getElementsByClassName("lock")[0];
    lock.style.display = "inline-block";
}

//Convert emoji
function emoji (node) {
    var res = node.innerHTML;
    res = res.replace(/😄/g,"<div class=\"emoji e1F604\">😄</div>");
    res = res.replace(/😃/g,"<div class=\"emoji e1F603\">😃</div>");
    res = res.replace(/😀/g,"<div class=\"emoji e1F600\">😀</div>");
    res = res.replace(/😊/g,"<div class=\"emoji e1F60A\">😊</div>");
    res = res.replace(/☺/g,"<div class=\"emoji e263A\">☺</div>");
    res = res.replace(/😉/g,"<div class=\"emoji e1F609\">😉</div>");
    res = res.replace(/😍/g,"<div class=\"emoji e1F60D\">😍</div>");
    res = res.replace(/😘/g,"<div class=\"emoji e1F618\">😘</div>");
    res = res.replace(/😚/g,"<div class=\"emoji e1F61A\">😚</div>");
    res = res.replace(/😗/g,"<div class=\"emoji e1F617\">😗</div>");
    res = res.replace(/😙/g,"<div class=\"emoji e1F619\">😙</div>");
    res = res.replace(/😜/g,"<div class=\"emoji e1F61C\">😜</div>");
    res = res.replace(/😝/g,"<div class=\"emoji e1F61D\">😝</div>");
    res = res.replace(/😛/g,"<div class=\"emoji e1F61B\">😛</div>");
    res = res.replace(/😳/g,"<div class=\"emoji e1F633\">😳</div>");
    res = res.replace(/😁/g,"<div class=\"emoji e1F601\">😁</div>");
    res = res.replace(/😔/g,"<div class=\"emoji e1F614\">😔</div>");
    res = res.replace(/😌/g,"<div class=\"emoji e1F60C\">😌</div>");
    res = res.replace(/😒/g,"<div class=\"emoji e1F612\">😒</div>");
    res = res.replace(/😞/g,"<div class=\"emoji e1F61E\">😞</div>");
    res = res.replace(/😣/g,"<div class=\"emoji e1F623\">😣</div>");
    res = res.replace(/😢/g,"<div class=\"emoji e1F622\">😢</div>");
    res = res.replace(/😂/g,"<div class=\"emoji e1F602\">😂</div>");
    res = res.replace(/😭/g,"<div class=\"emoji e1F62D\">😭</div>");
    res = res.replace(/😪/g,"<div class=\"emoji e1F62A\">😪</div>");
    res = res.replace(/😥/g,"<div class=\"emoji e1F625\">😥</div>");
    res = res.replace(/😰/g,"<div class=\"emoji e1F630\">😰</div>");
    res = res.replace(/😅/g,"<div class=\"emoji e1F605\">😅</div>");
    res = res.replace(/😓/g,"<div class=\"emoji e1F613\">😓</div>");
    res = res.replace(/😩/g,"<div class=\"emoji e1F629\">😩</div>");
    res = res.replace(/😫/g,"<div class=\"emoji e1F62B\">😫</div>");
    res = res.replace(/😨/g,"<div class=\"emoji e1F628\">😨</div>");
    res = res.replace(/😱/g,"<div class=\"emoji e1F631\">😱</div>");
    res = res.replace(/😠/g,"<div class=\"emoji e1F620\">😠</div>");
    res = res.replace(/😡/g,"<div class=\"emoji e1F621\">😡</div>");
    res = res.replace(/😤/g,"<div class=\"emoji e1F624\">😤</div>");
    res = res.replace(/😖/g,"<div class=\"emoji e1F616\">😖</div>");
    res = res.replace(/😆/g,"<div class=\"emoji e1F606\">😆</div>");
    res = res.replace(/😋/g,"<div class=\"emoji e1F60B\">😋</div>");
    res = res.replace(/😷/g,"<div class=\"emoji e1F637\">😷</div>");
    res = res.replace(/😎/g,"<div class=\"emoji e1F60E\">😎</div>");
    res = res.replace(/😴/g,"<div class=\"emoji e1F634\">😴</div>");
    res = res.replace(/😵/g,"<div class=\"emoji e1F635\">😵</div>");
    res = res.replace(/😲/g,"<div class=\"emoji e1F632\">😲</div>");
    res = res.replace(/😟/g,"<div class=\"emoji e1F61F\">😟</div>");
    res = res.replace(/😦/g,"<div class=\"emoji e1F626\">😦</div>");
    res = res.replace(/😧/g,"<div class=\"emoji e1F627\">😧</div>");
    res = res.replace(/😈/g,"<div class=\"emoji e1F608\">😈</div>");
    res = res.replace(/👿/g,"<div class=\"emoji e1F47F\">👿</div>");
    res = res.replace(/😮/g,"<div class=\"emoji e1F62E\">😮</div>");
    res = res.replace(/😬/g,"<div class=\"emoji e1F62C\">😬</div>");
    res = res.replace(/😐/g,"<div class=\"emoji e1F610\">😐</div>");
    res = res.replace(/😕/g,"<div class=\"emoji e1F615\">😕</div>");
    res = res.replace(/😯/g,"<div class=\"emoji e1F62F\">😯</div>");
    res = res.replace(/😶/g,"<div class=\"emoji e1F636\">😶</div>");
    res = res.replace(/😇/g,"<div class=\"emoji e1F607\">😇</div>");
    res = res.replace(/😏/g,"<div class=\"emoji e1F60F\">😏</div>");
    res = res.replace(/😑/g,"<div class=\"emoji e1F611\">😑</div>");
    res = res.replace(/👲/g,"<div class=\"emoji e1F472\">👲</div>");
    res = res.replace(/👳/g,"<div class=\"emoji e1F473\">👳</div>");
    res = res.replace(/👮/g,"<div class=\"emoji e1F46E\">👮</div>");
    res = res.replace(/👷/g,"<div class=\"emoji e1F477\">👷</div>");
    res = res.replace(/💂/g,"<div class=\"emoji e1F482\">💂</div>");
    res = res.replace(/👶/g,"<div class=\"emoji e1F476\">👶</div>");
    res = res.replace(/👦/g,"<div class=\"emoji e1F466\">👦</div>");
    res = res.replace(/👧/g,"<div class=\"emoji e1F467\">👧</div>");
    res = res.replace(/👨/g,"<div class=\"emoji e1F468\">👨</div>");
    res = res.replace(/👩/g,"<div class=\"emoji e1F469\">👩</div>");
    res = res.replace(/👴/g,"<div class=\"emoji e1F474\">👴</div>");
    res = res.replace(/👵/g,"<div class=\"emoji e1F475\">👵</div>");
    res = res.replace(/👱/g,"<div class=\"emoji e1F471\">👱</div>");
    res = res.replace(/👼/g,"<div class=\"emoji e1F47C\">👼</div>");
    res = res.replace(/👸/g,"<div class=\"emoji e1F478\">👸</div>");
    res = res.replace(/😺/g,"<div class=\"emoji e1F63A\">😺</div>");
    res = res.replace(/😸/g,"<div class=\"emoji e1F638\">😸</div>");
    res = res.replace(/😻/g,"<div class=\"emoji e1F63B\">😻</div>");
    res = res.replace(/😽/g,"<div class=\"emoji e1F63D\">😽</div>");
    res = res.replace(/😼/g,"<div class=\"emoji e1F63C\">😼</div>");
    res = res.replace(/🙀/g,"<div class=\"emoji e1F640\">🙀</div>");
    res = res.replace(/😿/g,"<div class=\"emoji e1F63F\">😿</div>");
    res = res.replace(/😹/g,"<div class=\"emoji e1F639\">😹</div>");
    res = res.replace(/😾/g,"<div class=\"emoji e1F63E\">😾</div>");
    res = res.replace(/👹/g,"<div class=\"emoji e1F479\">👹</div>");
    res = res.replace(/👺/g,"<div class=\"emoji e1F47A\">👺</div>");
    res = res.replace(/🙈/g,"<div class=\"emoji e1F648\">🙈</div>");
    res = res.replace(/🙉/g,"<div class=\"emoji e1F649\">🙉</div>");
    res = res.replace(/🙊/g,"<div class=\"emoji e1F64A\">🙊</div>");
    res = res.replace(/💀/g,"<div class=\"emoji e1F480\">💀</div>");
    res = res.replace(/👽/g,"<div class=\"emoji e1F47D\">👽</div>");
    res = res.replace(/💩/g,"<div class=\"emoji e1F4A9\">💩</div>");
    res = res.replace(/🔥/g,"<div class=\"emoji e1F525\">🔥</div>");
    res = res.replace(/✨/g,"<div class=\"emoji e2728\">✨</div>");
    res = res.replace(/🌟/g,"<div class=\"emoji e1F31F\">🌟</div>");
    res = res.replace(/💫/g,"<div class=\"emoji e1F4AB\">💫</div>");
    res = res.replace(/💥/g,"<div class=\"emoji e1F4A5\">💥</div>");
    res = res.replace(/💢/g,"<div class=\"emoji e1F4A2\">💢</div>");
    res = res.replace(/💦/g,"<div class=\"emoji e1F4A6\">💦</div>");
    res = res.replace(/💧/g,"<div class=\"emoji e1F4A7\">💧</div>");
    res = res.replace(/💤/g,"<div class=\"emoji e1F4A4\">💤</div>");
    res = res.replace(/💨/g,"<div class=\"emoji e1F4A8\">💨</div>");
    res = res.replace(/👂/g,"<div class=\"emoji e1F442\">👂</div>");
    res = res.replace(/👀/g,"<div class=\"emoji e1F440\">👀</div>");
    res = res.replace(/👃/g,"<div class=\"emoji e1F443\">👃</div>");
    res = res.replace(/👅/g,"<div class=\"emoji e1F445\">👅</div>");
    res = res.replace(/👄/g,"<div class=\"emoji e1F444\">👄</div>");
    res = res.replace(/👍/g,"<div class=\"emoji e1F44D\">👍</div>");
    res = res.replace(/👎/g,"<div class=\"emoji e1F44E\">👎</div>");
    res = res.replace(/👌/g,"<div class=\"emoji e1F44C\">👌</div>");
    res = res.replace(/👊/g,"<div class=\"emoji e1F44A\">👊</div>");
    res = res.replace(/✊/g,"<div class=\"emoji e270A\">✊</div>");
    res = res.replace(/✌/g,"<div class=\"emoji e270C\">✌</div>");
    res = res.replace(/👋/g,"<div class=\"emoji e1F44B\">👋</div>");
    res = res.replace(/✋/g,"<div class=\"emoji e270B\">✋</div>");
    res = res.replace(/👐/g,"<div class=\"emoji e1F450\">👐</div>");
    res = res.replace(/👆/g,"<div class=\"emoji e1F446\">👆</div>");
    res = res.replace(/👇/g,"<div class=\"emoji e1F447\">👇</div>");
    res = res.replace(/👉/g,"<div class=\"emoji e1F449\">👉</div>");
    res = res.replace(/👈/g,"<div class=\"emoji e1F448\">👈</div>");
    res = res.replace(/🙌/g,"<div class=\"emoji e1F64C\">🙌</div>");
    res = res.replace(/🙏/g,"<div class=\"emoji e1F64F\">🙏</div>");
    res = res.replace(/☝/g,"<div class=\"emoji e261D\">☝</div>");
    res = res.replace(/👏/g,"<div class=\"emoji e1F44F\">👏</div>");
    res = res.replace(/💪/g,"<div class=\"emoji e1F4AA\">💪</div>");
    res = res.replace(/🚶/g,"<div class=\"emoji e1F6B6\">🚶</div>");
    res = res.replace(/🏃/g,"<div class=\"emoji e1F3C3\">🏃</div>");
    res = res.replace(/💃/g,"<div class=\"emoji e1F483\">💃</div>");
    res = res.replace(/👫/g,"<div class=\"emoji e1F46B\">👫</div>");
    res = res.replace(/👪/g,"<div class=\"emoji e1F46A\">👪</div>");
    res = res.replace(/👬/g,"<div class=\"emoji e1F46C\">👬</div>");
    res = res.replace(/👭/g,"<div class=\"emoji e1F46D\">👭</div>");
    res = res.replace(/💏/g,"<div class=\"emoji e1F48F\">💏</div>");
    res = res.replace(/💑/g,"<div class=\"emoji e1F491\">💑</div>");
    res = res.replace(/👯/g,"<div class=\"emoji e1F46F\">👯</div>");
    res = res.replace(/🙆/g,"<div class=\"emoji e1F646\">🙆</div>");
    res = res.replace(/🙅/g,"<div class=\"emoji e1F645\">🙅</div>");
    res = res.replace(/💁/g,"<div class=\"emoji e1F481\">💁</div>");
    res = res.replace(/🙋/g,"<div class=\"emoji e1F64B\">🙋</div>");
    res = res.replace(/💆/g,"<div class=\"emoji e1F486\">💆</div>");
    res = res.replace(/💇/g,"<div class=\"emoji e1F487\">💇</div>");
    res = res.replace(/💅/g,"<div class=\"emoji e1F485\">💅</div>");
    res = res.replace(/👰/g,"<div class=\"emoji e1F470\">👰</div>");
    res = res.replace(/🙎/g,"<div class=\"emoji e1F64E\">🙎</div>");
    res = res.replace(/🙍/g,"<div class=\"emoji e1F64D\">🙍</div>");
    res = res.replace(/🙇/g,"<div class=\"emoji e1F647\">🙇</div>");
    res = res.replace(/🎩/g,"<div class=\"emoji e1F3A9\">🎩</div>");
    res = res.replace(/👑/g,"<div class=\"emoji e1F451\">👑</div>");
    res = res.replace(/👒/g,"<div class=\"emoji e1F452\">👒</div>");
    res = res.replace(/👟/g,"<div class=\"emoji e1F45F\">👟</div>");
    res = res.replace(/👞/g,"<div class=\"emoji e1F45E\">👞</div>");
    res = res.replace(/👡/g,"<div class=\"emoji e1F461\">👡</div>");
    res = res.replace(/👠/g,"<div class=\"emoji e1F460\">👠</div>");
    res = res.replace(/👢/g,"<div class=\"emoji e1F462\">👢</div>");
    res = res.replace(/👕/g,"<div class=\"emoji e1F455\">👕</div>");
    res = res.replace(/👔/g,"<div class=\"emoji e1F454\">👔</div>");
    res = res.replace(/👚/g,"<div class=\"emoji e1F45A\">👚</div>");
    res = res.replace(/👗/g,"<div class=\"emoji e1F457\">👗</div>");
    res = res.replace(/🎽/g,"<div class=\"emoji e1F3BD\">🎽</div>");
    res = res.replace(/👖/g,"<div class=\"emoji e1F456\">👖</div>");
    res = res.replace(/👘/g,"<div class=\"emoji e1F458\">👘</div>");
    res = res.replace(/👙/g,"<div class=\"emoji e1F459\">👙</div>");
    res = res.replace(/💼/g,"<div class=\"emoji e1F4BC\">💼</div>");
    res = res.replace(/👜/g,"<div class=\"emoji e1F45C\">👜</div>");
    res = res.replace(/👝/g,"<div class=\"emoji e1F45D\">👝</div>");
    res = res.replace(/👛/g,"<div class=\"emoji e1F45B\">👛</div>");
    res = res.replace(/👓/g,"<div class=\"emoji e1F453\">👓</div>");
    res = res.replace(/🎀/g,"<div class=\"emoji e1F380\">🎀</div>");
    res = res.replace(/🌂/g,"<div class=\"emoji e1F302\">🌂</div>");
    res = res.replace(/💄/g,"<div class=\"emoji e1F484\">💄</div>");
    res = res.replace(/💛/g,"<div class=\"emoji e1F49B\">💛</div>");
    res = res.replace(/💙/g,"<div class=\"emoji e1F499\">💙</div>");
    res = res.replace(/💜/g,"<div class=\"emoji e1F49C\">💜</div>");
    res = res.replace(/💚/g,"<div class=\"emoji e1F49A\">💚</div>");
    res = res.replace(/❤/g,"<div class=\"emoji e2764\">❤</div>");
    res = res.replace(/💔/g,"<div class=\"emoji e1F494\">💔</div>");
    res = res.replace(/💗/g,"<div class=\"emoji e1F497\">💗</div>");
    res = res.replace(/💓/g,"<div class=\"emoji e1F493\">💓</div>");
    res = res.replace(/💕/g,"<div class=\"emoji e1F495\">💕</div>");
    res = res.replace(/💖/g,"<div class=\"emoji e1F496\">💖</div>");
    res = res.replace(/💞/g,"<div class=\"emoji e1F49E\">💞</div>");
    res = res.replace(/💘/g,"<div class=\"emoji e1F498\">💘</div>");
    res = res.replace(/💌/g,"<div class=\"emoji e1F48C\">💌</div>");
    res = res.replace(/💋/g,"<div class=\"emoji e1F48B\">💋</div>");
    res = res.replace(/💍/g,"<div class=\"emoji e1F48D\">💍</div>");
    res = res.replace(/💎/g,"<div class=\"emoji e1F48E\">💎</div>");
    res = res.replace(/👤/g,"<div class=\"emoji e1F464\">👤</div>");
    res = res.replace(/👥/g,"<div class=\"emoji e1F465\">👥</div>");
    res = res.replace(/💬/g,"<div class=\"emoji e1F4AC\">💬</div>");
    res = res.replace(/👣/g,"<div class=\"emoji e1F463\">👣</div>");
    res = res.replace(/💭/g,"<div class=\"emoji e1F4AD\">💭</div>");
    res = res.replace(/🐶/g,"<div class=\"emoji e1F436\">🐶</div>");
    res = res.replace(/🐺/g,"<div class=\"emoji e1F43A\">🐺</div>");
    res = res.replace(/🐱/g,"<div class=\"emoji e1F431\">🐱</div>");
    res = res.replace(/🐭/g,"<div class=\"emoji e1F42D\">🐭</div>");
    res = res.replace(/🐹/g,"<div class=\"emoji e1F439\">🐹</div>");
    res = res.replace(/🐰/g,"<div class=\"emoji e1F430\">🐰</div>");
    res = res.replace(/🐸/g,"<div class=\"emoji e1F438\">🐸</div>");
    res = res.replace(/🐯/g,"<div class=\"emoji e1F42F\">🐯</div>");
    res = res.replace(/🐨/g,"<div class=\"emoji e1F428\">🐨</div>");
    res = res.replace(/🐻/g,"<div class=\"emoji e1F43B\">🐻</div>");
    res = res.replace(/🐷/g,"<div class=\"emoji e1F437\">🐷</div>");
    res = res.replace(/🐽/g,"<div class=\"emoji e1F43D\">🐽</div>");
    res = res.replace(/🐮/g,"<div class=\"emoji e1F42E\">🐮</div>");
    res = res.replace(/🐗/g,"<div class=\"emoji e1F417\">🐗</div>");
    res = res.replace(/🐵/g,"<div class=\"emoji e1F435\">🐵</div>");
    res = res.replace(/🐒/g,"<div class=\"emoji e1F412\">🐒</div>");
    res = res.replace(/🐴/g,"<div class=\"emoji e1F434\">🐴</div>");
    res = res.replace(/🐑/g,"<div class=\"emoji e1F411\">🐑</div>");
    res = res.replace(/🐘/g,"<div class=\"emoji e1F418\">🐘</div>");
    res = res.replace(/🐼/g,"<div class=\"emoji e1F43C\">🐼</div>");
    res = res.replace(/🐧/g,"<div class=\"emoji e1F427\">🐧</div>");
    res = res.replace(/🐦/g,"<div class=\"emoji e1F426\">🐦</div>");
    res = res.replace(/🐤/g,"<div class=\"emoji e1F424\">🐤</div>");
    res = res.replace(/🐥/g,"<div class=\"emoji e1F425\">🐥</div>");
    res = res.replace(/🐣/g,"<div class=\"emoji e1F423\">🐣</div>");
    res = res.replace(/🐔/g,"<div class=\"emoji e1F414\">🐔</div>");
    res = res.replace(/🐍/g,"<div class=\"emoji e1F40D\">🐍</div>");
    res = res.replace(/🐢/g,"<div class=\"emoji e1F422\">🐢</div>");
    res = res.replace(/🐛/g,"<div class=\"emoji e1F41B\">🐛</div>");
    res = res.replace(/🐝/g,"<div class=\"emoji e1F41D\">🐝</div>");
    res = res.replace(/🐜/g,"<div class=\"emoji e1F41C\">🐜</div>");
    res = res.replace(/🐞/g,"<div class=\"emoji e1F41E\">🐞</div>");
    res = res.replace(/🐌/g,"<div class=\"emoji e1F40C\">🐌</div>");
    res = res.replace(/🐙/g,"<div class=\"emoji e1F419\">🐙</div>");
    res = res.replace(/🐚/g,"<div class=\"emoji e1F41A\">🐚</div>");
    res = res.replace(/🐠/g,"<div class=\"emoji e1F420\">🐠</div>");
    res = res.replace(/🐟/g,"<div class=\"emoji e1F41F\">🐟</div>");
    res = res.replace(/🐬/g,"<div class=\"emoji e1F42C\">🐬</div>");
    res = res.replace(/🐳/g,"<div class=\"emoji e1F433\">🐳</div>");
    res = res.replace(/🐋/g,"<div class=\"emoji e1F40B\">🐋</div>");
    res = res.replace(/🐄/g,"<div class=\"emoji e1F404\">🐄</div>");
    res = res.replace(/🐏/g,"<div class=\"emoji e1F40F\">🐏</div>");
    res = res.replace(/🐀/g,"<div class=\"emoji e1F400\">🐀</div>");
    res = res.replace(/🐃/g,"<div class=\"emoji e1F403\">🐃</div>");
    res = res.replace(/🐅/g,"<div class=\"emoji e1F405\">🐅</div>");
    res = res.replace(/🐇/g,"<div class=\"emoji e1F407\">🐇</div>");
    res = res.replace(/🐉/g,"<div class=\"emoji e1F409\">🐉</div>");
    res = res.replace(/🐎/g,"<div class=\"emoji e1F40E\">🐎</div>");
    res = res.replace(/🐐/g,"<div class=\"emoji e1F410\">🐐</div>");
    res = res.replace(/🐓/g,"<div class=\"emoji e1F413\">🐓</div>");
    res = res.replace(/🐕/g,"<div class=\"emoji e1F415\">🐕</div>");
    res = res.replace(/🐖/g,"<div class=\"emoji e1F416\">🐖</div>");
    res = res.replace(/🐁/g,"<div class=\"emoji e1F401\">🐁</div>");
    res = res.replace(/🐂/g,"<div class=\"emoji e1F402\">🐂</div>");
    res = res.replace(/🐲/g,"<div class=\"emoji e1F432\">🐲</div>");
    res = res.replace(/🐡/g,"<div class=\"emoji e1F421\">🐡</div>");
    res = res.replace(/🐊/g,"<div class=\"emoji e1F40A\">🐊</div>");
    res = res.replace(/🐫/g,"<div class=\"emoji e1F42B\">🐫</div>");
    res = res.replace(/🐪/g,"<div class=\"emoji e1F42A\">🐪</div>");
    res = res.replace(/🐆/g,"<div class=\"emoji e1F406\">🐆</div>");
    res = res.replace(/🐈/g,"<div class=\"emoji e1F408\">🐈</div>");
    res = res.replace(/🐩/g,"<div class=\"emoji e1F429\">🐩</div>");
    res = res.replace(/🐾/g,"<div class=\"emoji e1F43E\">🐾</div>");
    res = res.replace(/💐/g,"<div class=\"emoji e1F490\">💐</div>");
    res = res.replace(/🌸/g,"<div class=\"emoji e1F338\">🌸</div>");
    res = res.replace(/🌷/g,"<div class=\"emoji e1F337\">🌷</div>");
    res = res.replace(/🍀/g,"<div class=\"emoji e1F340\">🍀</div>");
    res = res.replace(/🌹/g,"<div class=\"emoji e1F339\">🌹</div>");
    res = res.replace(/🌻/g,"<div class=\"emoji e1F33B\">🌻</div>");
    res = res.replace(/🌺/g,"<div class=\"emoji e1F33A\">🌺</div>");
    res = res.replace(/🍁/g,"<div class=\"emoji e1F341\">🍁</div>");
    res = res.replace(/🍃/g,"<div class=\"emoji e1F343\">🍃</div>");
    res = res.replace(/🍂/g,"<div class=\"emoji e1F342\">🍂</div>");
    res = res.replace(/🌿/g,"<div class=\"emoji e1F33F\">🌿</div>");
    res = res.replace(/🌾/g,"<div class=\"emoji e1F33E\">🌾</div>");
    res = res.replace(/🍄/g,"<div class=\"emoji e1F344\">🍄</div>");
    res = res.replace(/🌵/g,"<div class=\"emoji e1F335\">🌵</div>");
    res = res.replace(/🌴/g,"<div class=\"emoji e1F334\">🌴</div>");
    res = res.replace(/🌲/g,"<div class=\"emoji e1F332\">🌲</div>");
    res = res.replace(/🌳/g,"<div class=\"emoji e1F333\">🌳</div>");
    res = res.replace(/🌰/g,"<div class=\"emoji e1F330\">🌰</div>");
    res = res.replace(/🌱/g,"<div class=\"emoji e1F331\">🌱</div>");
    res = res.replace(/🌼/g,"<div class=\"emoji e1F33C\">🌼</div>");
    res = res.replace(/🌐/g,"<div class=\"emoji e1F310\">🌐</div>");
    res = res.replace(/🌞/g,"<div class=\"emoji e1F31E\">🌞</div>");
    res = res.replace(/🌝/g,"<div class=\"emoji e1F31D\">🌝</div>");
    res = res.replace(/🌚/g,"<div class=\"emoji e1F31A\">🌚</div>");
    res = res.replace(/🌑/g,"<div class=\"emoji e1F311\">🌑</div>");
    res = res.replace(/🌒/g,"<div class=\"emoji e1F312\">🌒</div>");
    res = res.replace(/🌓/g,"<div class=\"emoji e1F313\">🌓</div>");
    res = res.replace(/🌔/g,"<div class=\"emoji e1F314\">🌔</div>");
    res = res.replace(/🌕/g,"<div class=\"emoji e1F315\">🌕</div>");
    res = res.replace(/🌖/g,"<div class=\"emoji e1F316\">🌖</div>");
    res = res.replace(/🌗/g,"<div class=\"emoji e1F317\">🌗</div>");
    res = res.replace(/🌘/g,"<div class=\"emoji e1F318\">🌘</div>");
    res = res.replace(/🌜/g,"<div class=\"emoji e1F31C\">🌜</div>");
    res = res.replace(/🌛/g,"<div class=\"emoji e1F31B\">🌛</div>");
    res = res.replace(/🌙/g,"<div class=\"emoji e1F319\">🌙</div>");
    res = res.replace(/🌍/g,"<div class=\"emoji e1F30D\">🌍</div>");
    res = res.replace(/🌎/g,"<div class=\"emoji e1F30E\">🌎</div>");
    res = res.replace(/🌏/g,"<div class=\"emoji e1F30F\">🌏</div>");
    res = res.replace(/🌋/g,"<div class=\"emoji e1F30B\">🌋</div>");
    res = res.replace(/🌌/g,"<div class=\"emoji e1F30C\">🌌</div>");
    res = res.replace(/🌠/g,"<div class=\"emoji e1F320\">🌠</div>");
    res = res.replace(/⭐/g,"<div class=\"emoji e2B50\">⭐</div>");
    res = res.replace(/☀/g,"<div class=\"emoji e2600\">☀</div>");
    res = res.replace(/⛅/g,"<div class=\"emoji e26C5\">⛅</div>");
    res = res.replace(/☁/g,"<div class=\"emoji e2601\">☁</div>");
    res = res.replace(/⚡/g,"<div class=\"emoji e26A1\">⚡</div>");
    res = res.replace(/☔/g,"<div class=\"emoji e2614\">☔</div>");
    res = res.replace(/❄/g,"<div class=\"emoji e2744\">❄</div>");
    res = res.replace(/⛄/g,"<div class=\"emoji e26C4\">⛄</div>");
    res = res.replace(/🌀/g,"<div class=\"emoji e1F300\">🌀</div>");
    res = res.replace(/🌁/g,"<div class=\"emoji e1F301\">🌁</div>");
    res = res.replace(/🌈/g,"<div class=\"emoji e1F308\">🌈</div>");
    res = res.replace(/🌊/g,"<div class=\"emoji e1F30A\">🌊</div>");
    res = res.replace(/🎍/g,"<div class=\"emoji e1F38D\">🎍</div>");
    res = res.replace(/💝/g,"<div class=\"emoji e1F49D\">💝</div>");
    res = res.replace(/🎎/g,"<div class=\"emoji e1F38E\">🎎</div>");
    res = res.replace(/🎒/g,"<div class=\"emoji e1F392\">🎒</div>");
    res = res.replace(/🎓/g,"<div class=\"emoji e1F393\">🎓</div>");
    res = res.replace(/🎏/g,"<div class=\"emoji e1F38F\">🎏</div>");
    res = res.replace(/🎆/g,"<div class=\"emoji e1F386\">🎆</div>");
    res = res.replace(/🎇/g,"<div class=\"emoji e1F387\">🎇</div>");
    res = res.replace(/🎐/g,"<div class=\"emoji e1F390\">🎐</div>");
    res = res.replace(/🎑/g,"<div class=\"emoji e1F391\">🎑</div>");
    res = res.replace(/🎃/g,"<div class=\"emoji e1F383\">🎃</div>");
    res = res.replace(/👻/g,"<div class=\"emoji e1F47B\">👻</div>");
    res = res.replace(/🎅/g,"<div class=\"emoji e1F385\">🎅</div>");
    res = res.replace(/🎄/g,"<div class=\"emoji e1F384\">🎄</div>");
    res = res.replace(/🎁/g,"<div class=\"emoji e1F381\">🎁</div>");
    res = res.replace(/🎋/g,"<div class=\"emoji e1F38B\">🎋</div>");
    res = res.replace(/🎉/g,"<div class=\"emoji e1F389\">🎉</div>");
    res = res.replace(/🎊/g,"<div class=\"emoji e1F38A\">🎊</div>");
    res = res.replace(/🎈/g,"<div class=\"emoji e1F388\">🎈</div>");
    res = res.replace(/🎌/g,"<div class=\"emoji e1F38C\">🎌</div>");
    res = res.replace(/🔮/g,"<div class=\"emoji e1F52E\">🔮</div>");
    res = res.replace(/🎥/g,"<div class=\"emoji e1F3A5\">🎥</div>");
    res = res.replace(/📷/g,"<div class=\"emoji e1F4F7\">📷</div>");
    res = res.replace(/📹/g,"<div class=\"emoji e1F4F9\">📹</div>");
    res = res.replace(/📼/g,"<div class=\"emoji e1F4FC\">📼</div>");
    res = res.replace(/💿/g,"<div class=\"emoji e1F4BF\">💿</div>");
    res = res.replace(/📀/g,"<div class=\"emoji e1F4C0\">📀</div>");
    res = res.replace(/💽/g,"<div class=\"emoji e1F4BD\">💽</div>");
    res = res.replace(/💾/g,"<div class=\"emoji e1F4BE\">💾</div>");
    res = res.replace(/💻/g,"<div class=\"emoji e1F4BB\">💻</div>");
    res = res.replace(/📱/g,"<div class=\"emoji e1F4F1\">📱</div>");
    res = res.replace(/☎/g,"<div class=\"emoji e260E\">☎</div>");
    res = res.replace(/📞/g,"<div class=\"emoji e1F4DE\">📞</div>");
    res = res.replace(/📟/g,"<div class=\"emoji e1F4DF\">📟</div>");
    res = res.replace(/📠/g,"<div class=\"emoji e1F4E0\">📠</div>");
    res = res.replace(/📡/g,"<div class=\"emoji e1F4E1\">📡</div>");
    res = res.replace(/📺/g,"<div class=\"emoji e1F4FA\">📺</div>");
    res = res.replace(/📻/g,"<div class=\"emoji e1F4FB\">📻</div>");
    res = res.replace(/🔊/g,"<div class=\"emoji e1F50A\">🔊</div>");
    res = res.replace(/🔉/g,"<div class=\"emoji e1F509\">🔉</div>");
    res = res.replace(/🔈/g,"<div class=\"emoji e1F508\">🔈</div>");
    res = res.replace(/🔇/g,"<div class=\"emoji e1F507\">🔇</div>");
    res = res.replace(/🔔/g,"<div class=\"emoji e1F514\">🔔</div>");
    res = res.replace(/🔕/g,"<div class=\"emoji e1F515\">🔕</div>");
    res = res.replace(/📢/g,"<div class=\"emoji e1F4E2\">📢</div>");
    res = res.replace(/📣/g,"<div class=\"emoji e1F4E3\">📣</div>");
    res = res.replace(/⏳/g,"<div class=\"emoji e23F3\">⏳</div>");
    res = res.replace(/⌛/g,"<div class=\"emoji e231B\">⌛</div>");
    res = res.replace(/⏰/g,"<div class=\"emoji e23F0\">⏰</div>");
    res = res.replace(/⌚/g,"<div class=\"emoji e231A\">⌚</div>");
    res = res.replace(/🔓/g,"<div class=\"emoji e1F513\">🔓</div>");
    res = res.replace(/🔒/g,"<div class=\"emoji e1F512\">🔒</div>");
    res = res.replace(/🔏/g,"<div class=\"emoji e1F50F\">🔏</div>");
    res = res.replace(/🔐/g,"<div class=\"emoji e1F510\">🔐</div>");
    res = res.replace(/🔑/g,"<div class=\"emoji e1F511\">🔑</div>");
    res = res.replace(/🔎/g,"<div class=\"emoji e1F50E\">🔎</div>");
    res = res.replace(/💡/g,"<div class=\"emoji e1F4A1\">💡</div>");
    res = res.replace(/🔦/g,"<div class=\"emoji e1F526\">🔦</div>");
    res = res.replace(/🔆/g,"<div class=\"emoji e1F506\">🔆</div>");
    res = res.replace(/🔅/g,"<div class=\"emoji e1F505\">🔅</div>");
    res = res.replace(/🔌/g,"<div class=\"emoji e1F50C\">🔌</div>");
    res = res.replace(/🔋/g,"<div class=\"emoji e1F50B\">🔋</div>");
    res = res.replace(/🔍/g,"<div class=\"emoji e1F50D\">🔍</div>");
    res = res.replace(/🛁/g,"<div class=\"emoji e1F6C1\">🛁</div>");
    res = res.replace(/🛀/g,"<div class=\"emoji e1F6C0\">🛀</div>");
    res = res.replace(/🚿/g,"<div class=\"emoji e1F6BF\">🚿</div>");
    res = res.replace(/🚽/g,"<div class=\"emoji e1F6BD\">🚽</div>");
    res = res.replace(/🔧/g,"<div class=\"emoji e1F527\">🔧</div>");
    res = res.replace(/🔩/g,"<div class=\"emoji e1F529\">🔩</div>");
    res = res.replace(/🔨/g,"<div class=\"emoji e1F528\">🔨</div>");
    res = res.replace(/🚪/g,"<div class=\"emoji e1F6AA\">🚪</div>");
    res = res.replace(/🚬/g,"<div class=\"emoji e1F6AC\">🚬</div>");
    res = res.replace(/💣/g,"<div class=\"emoji e1F4A3\">💣</div>");
    res = res.replace(/🔫/g,"<div class=\"emoji e1F52B\">🔫</div>");
    res = res.replace(/🔪/g,"<div class=\"emoji e1F52A\">🔪</div>");
    res = res.replace(/💊/g,"<div class=\"emoji e1F48A\">💊</div>");
    res = res.replace(/💉/g,"<div class=\"emoji e1F489\">💉</div>");
    res = res.replace(/💰/g,"<div class=\"emoji e1F4B0\">💰</div>");
    res = res.replace(/💴/g,"<div class=\"emoji e1F4B4\">💴</div>");
    res = res.replace(/💵/g,"<div class=\"emoji e1F4B5\">💵</div>");
    res = res.replace(/💷/g,"<div class=\"emoji e1F4B7\">💷</div>");
    res = res.replace(/💶/g,"<div class=\"emoji e1F4B6\">💶</div>");
    res = res.replace(/💳/g,"<div class=\"emoji e1F4B3\">💳</div>");
    res = res.replace(/💸/g,"<div class=\"emoji e1F4B8\">💸</div>");
    res = res.replace(/📲/g,"<div class=\"emoji e1F4F2\">📲</div>");
    res = res.replace(/📧/g,"<div class=\"emoji e1F4E7\">📧</div>");
    res = res.replace(/📥/g,"<div class=\"emoji e1F4E5\">📥</div>");
    res = res.replace(/📤/g,"<div class=\"emoji e1F4E4\">📤</div>");
    res = res.replace(/✉/g,"<div class=\"emoji e2709\">✉</div>");
    res = res.replace(/📩/g,"<div class=\"emoji e1F4E9\">📩</div>");
    res = res.replace(/📨/g,"<div class=\"emoji e1F4E8\">📨</div>");
    res = res.replace(/📯/g,"<div class=\"emoji e1F4EF\">📯</div>");
    res = res.replace(/📫/g,"<div class=\"emoji e1F4EB\">📫</div>");
    res = res.replace(/📪/g,"<div class=\"emoji e1F4EA\">📪</div>");
    res = res.replace(/📬/g,"<div class=\"emoji e1F4EC\">📬</div>");
    res = res.replace(/📭/g,"<div class=\"emoji e1F4ED\">📭</div>");
    res = res.replace(/📮/g,"<div class=\"emoji e1F4EE\">📮</div>");
    res = res.replace(/📦/g,"<div class=\"emoji e1F4E6\">📦</div>");
    res = res.replace(/📝/g,"<div class=\"emoji e1F4DD\">📝</div>");
    res = res.replace(/📄/g,"<div class=\"emoji e1F4C4\">📄</div>");
    res = res.replace(/📃/g,"<div class=\"emoji e1F4C3\">📃</div>");
    res = res.replace(/📑/g,"<div class=\"emoji e1F4D1\">📑</div>");
    res = res.replace(/📊/g,"<div class=\"emoji e1F4CA\">📊</div>");
    res = res.replace(/📈/g,"<div class=\"emoji e1F4C8\">📈</div>");
    res = res.replace(/📉/g,"<div class=\"emoji e1F4C9\">📉</div>");
    res = res.replace(/📜/g,"<div class=\"emoji e1F4DC\">📜</div>");
    res = res.replace(/📋/g,"<div class=\"emoji e1F4CB\">📋</div>");
    res = res.replace(/📅/g,"<div class=\"emoji e1F4C5\">📅</div>");
    res = res.replace(/📆/g,"<div class=\"emoji e1F4C6\">📆</div>");
    res = res.replace(/📇/g,"<div class=\"emoji e1F4C7\">📇</div>");
    res = res.replace(/📁/g,"<div class=\"emoji e1F4C1\">📁</div>");
    res = res.replace(/📂/g,"<div class=\"emoji e1F4C2\">📂</div>");
    res = res.replace(/✂/g,"<div class=\"emoji e2702\">✂</div>");
    res = res.replace(/📌/g,"<div class=\"emoji e1F4CC\">📌</div>");
    res = res.replace(/📎/g,"<div class=\"emoji e1F4CE\">📎</div>");
    res = res.replace(/✒/g,"<div class=\"emoji e2712\">✒</div>");
    res = res.replace(/✏/g,"<div class=\"emoji e270F\">✏</div>");
    res = res.replace(/📏/g,"<div class=\"emoji e1F4CF\">📏</div>");
    res = res.replace(/📐/g,"<div class=\"emoji e1F4D0\">📐</div>");
    res = res.replace(/📕/g,"<div class=\"emoji e1F4D5\">📕</div>");
    res = res.replace(/📗/g,"<div class=\"emoji e1F4D7\">📗</div>");
    res = res.replace(/📘/g,"<div class=\"emoji e1F4D8\">📘</div>");
    res = res.replace(/📙/g,"<div class=\"emoji e1F4D9\">📙</div>");
    res = res.replace(/📓/g,"<div class=\"emoji e1F4D3\">📓</div>");
    res = res.replace(/📔/g,"<div class=\"emoji e1F4D4\">📔</div>");
    res = res.replace(/📒/g,"<div class=\"emoji e1F4D2\">📒</div>");
    res = res.replace(/📚/g,"<div class=\"emoji e1F4DA\">📚</div>");
    res = res.replace(/📖/g,"<div class=\"emoji e1F4D6\">📖</div>");
    res = res.replace(/🔖/g,"<div class=\"emoji e1F516\">🔖</div>");
    res = res.replace(/📛/g,"<div class=\"emoji e1F4DB\">📛</div>");
    res = res.replace(/🔬/g,"<div class=\"emoji e1F52C\">🔬</div>");
    res = res.replace(/🔭/g,"<div class=\"emoji e1F52D\">🔭</div>");
    res = res.replace(/📰/g,"<div class=\"emoji e1F4F0\">📰</div>");
    res = res.replace(/🎨/g,"<div class=\"emoji e1F3A8\">🎨</div>");
    res = res.replace(/🎬/g,"<div class=\"emoji e1F3AC\">🎬</div>");
    res = res.replace(/🎤/g,"<div class=\"emoji e1F3A4\">🎤</div>");
    res = res.replace(/🎧/g,"<div class=\"emoji e1F3A7\">🎧</div>");
    res = res.replace(/🎼/g,"<div class=\"emoji e1F3BC\">🎼</div>");
    res = res.replace(/🎵/g,"<div class=\"emoji e1F3B5\">🎵</div>");
    res = res.replace(/🎶/g,"<div class=\"emoji e1F3B6\">🎶</div>");
    res = res.replace(/🎹/g,"<div class=\"emoji e1F3B9\">🎹</div>");
    res = res.replace(/🎻/g,"<div class=\"emoji e1F3BB\">🎻</div>");
    res = res.replace(/🎺/g,"<div class=\"emoji e1F3BA\">🎺</div>");
    res = res.replace(/🎷/g,"<div class=\"emoji e1F3B7\">🎷</div>");
    res = res.replace(/🎸/g,"<div class=\"emoji e1F3B8\">🎸</div>");
    res = res.replace(/👾/g,"<div class=\"emoji e1F47E\">👾</div>");
    res = res.replace(/🎮/g,"<div class=\"emoji e1F3AE\">🎮</div>");
    res = res.replace(/🃏/g,"<div class=\"emoji e1F0CF\">🃏</div>");
    res = res.replace(/🎴/g,"<div class=\"emoji e1F3B4\">🎴</div>");
    res = res.replace(/🀄/g,"<div class=\"emoji e1F004\">🀄</div>");
    res = res.replace(/🎲/g,"<div class=\"emoji e1F3B2\">🎲</div>");
    res = res.replace(/🎯/g,"<div class=\"emoji e1F3AF\">🎯</div>");
    res = res.replace(/🏈/g,"<div class=\"emoji e1F3C8\">🏈</div>");
    res = res.replace(/🏀/g,"<div class=\"emoji e1F3C0\">🏀</div>");
    res = res.replace(/⚽/g,"<div class=\"emoji e26BD\">⚽</div>");
    res = res.replace(/⚾/g,"<div class=\"emoji e26BE\">⚾</div>");
    res = res.replace(/🎾/g,"<div class=\"emoji e1F3BE\">🎾</div>");
    res = res.replace(/🎱/g,"<div class=\"emoji e1F3B1\">🎱</div>");
    res = res.replace(/🏉/g,"<div class=\"emoji e1F3C9\">🏉</div>");
    res = res.replace(/🎳/g,"<div class=\"emoji e1F3B3\">🎳</div>");
    res = res.replace(/⛳/g,"<div class=\"emoji e26F3\">⛳</div>");
    res = res.replace(/🚵/g,"<div class=\"emoji e1F6B5\">🚵</div>");
    res = res.replace(/🚴/g,"<div class=\"emoji e1F6B4\">🚴</div>");
    res = res.replace(/🏁/g,"<div class=\"emoji e1F3C1\">🏁</div>");
    res = res.replace(/🏇/g,"<div class=\"emoji e1F3C7\">🏇</div>");
    res = res.replace(/🏆/g,"<div class=\"emoji e1F3C6\">🏆</div>");
    res = res.replace(/🎿/g,"<div class=\"emoji e1F3BF\">🎿</div>");
    res = res.replace(/🏂/g,"<div class=\"emoji e1F3C2\">🏂</div>");
    res = res.replace(/🏊/g,"<div class=\"emoji e1F3CA\">🏊</div>");
    res = res.replace(/🏄/g,"<div class=\"emoji e1F3C4\">🏄</div>");
    res = res.replace(/🎣/g,"<div class=\"emoji e1F3A3\">🎣</div>");
    res = res.replace(/☕/g,"<div class=\"emoji e2615\">☕</div>");
    res = res.replace(/🍵/g,"<div class=\"emoji e1F375\">🍵</div>");
    res = res.replace(/🍶/g,"<div class=\"emoji e1F376\">🍶</div>");
    res = res.replace(/🍼/g,"<div class=\"emoji e1F37C\">🍼</div>");
    res = res.replace(/🍺/g,"<div class=\"emoji e1F37A\">🍺</div>");
    res = res.replace(/🍻/g,"<div class=\"emoji e1F37B\">🍻</div>");
    res = res.replace(/🍸/g,"<div class=\"emoji e1F378\">🍸</div>");
    res = res.replace(/🍹/g,"<div class=\"emoji e1F379\">🍹</div>");
    res = res.replace(/🍷/g,"<div class=\"emoji e1F377\">🍷</div>");
    res = res.replace(/🍴/g,"<div class=\"emoji e1F374\">🍴</div>");
    res = res.replace(/🍕/g,"<div class=\"emoji e1F355\">🍕</div>");
    res = res.replace(/🍔/g,"<div class=\"emoji e1F354\">🍔</div>");
    res = res.replace(/🍟/g,"<div class=\"emoji e1F35F\">🍟</div>");
    res = res.replace(/🍗/g,"<div class=\"emoji e1F357\">🍗</div>");
    res = res.replace(/🍖/g,"<div class=\"emoji e1F356\">🍖</div>");
    res = res.replace(/🍝/g,"<div class=\"emoji e1F35D\">🍝</div>");
    res = res.replace(/🍛/g,"<div class=\"emoji e1F35B\">🍛</div>");
    res = res.replace(/🍤/g,"<div class=\"emoji e1F364\">🍤</div>");
    res = res.replace(/🍱/g,"<div class=\"emoji e1F371\">🍱</div>");
    res = res.replace(/🍣/g,"<div class=\"emoji e1F363\">🍣</div>");
    res = res.replace(/🍥/g,"<div class=\"emoji e1F365\">🍥</div>");
    res = res.replace(/🍙/g,"<div class=\"emoji e1F359\">🍙</div>");
    res = res.replace(/🍘/g,"<div class=\"emoji e1F358\">🍘</div>");
    res = res.replace(/🍚/g,"<div class=\"emoji e1F35A\">🍚</div>");
    res = res.replace(/🍜/g,"<div class=\"emoji e1F35C\">🍜</div>");
    res = res.replace(/🍲/g,"<div class=\"emoji e1F372\">🍲</div>");
    res = res.replace(/🍢/g,"<div class=\"emoji e1F362\">🍢</div>");
    res = res.replace(/🍡/g,"<div class=\"emoji e1F361\">🍡</div>");
    res = res.replace(/🍳/g,"<div class=\"emoji e1F373\">🍳</div>");
    res = res.replace(/🍞/g,"<div class=\"emoji e1F35E\">🍞</div>");
    res = res.replace(/🍩/g,"<div class=\"emoji e1F369\">🍩</div>");
    res = res.replace(/🍮/g,"<div class=\"emoji e1F36E\">🍮</div>");
    res = res.replace(/🍦/g,"<div class=\"emoji e1F366\">🍦</div>");
    res = res.replace(/🍨/g,"<div class=\"emoji e1F368\">🍨</div>");
    res = res.replace(/🍧/g,"<div class=\"emoji e1F367\">🍧</div>");
    res = res.replace(/🎂/g,"<div class=\"emoji e1F382\">🎂</div>");
    res = res.replace(/🍰/g,"<div class=\"emoji e1F370\">🍰</div>");
    res = res.replace(/🍪/g,"<div class=\"emoji e1F36A\">🍪</div>");
    res = res.replace(/🍫/g,"<div class=\"emoji e1F36B\">🍫</div>");
    res = res.replace(/🍬/g,"<div class=\"emoji e1F36C\">🍬</div>");
    res = res.replace(/🍭/g,"<div class=\"emoji e1F36D\">🍭</div>");
    res = res.replace(/🍯/g,"<div class=\"emoji e1F36F\">🍯</div>");
    res = res.replace(/🍎/g,"<div class=\"emoji e1F34E\">🍎</div>");
    res = res.replace(/🍏/g,"<div class=\"emoji e1F34F\">🍏</div>");
    res = res.replace(/🍊/g,"<div class=\"emoji e1F34A\">🍊</div>");
    res = res.replace(/🍋/g,"<div class=\"emoji e1F34B\">🍋</div>");
    res = res.replace(/🍒/g,"<div class=\"emoji e1F352\">🍒</div>");
    res = res.replace(/🍇/g,"<div class=\"emoji e1F347\">🍇</div>");
    res = res.replace(/🍉/g,"<div class=\"emoji e1F349\">🍉</div>");
    res = res.replace(/🍓/g,"<div class=\"emoji e1F353\">🍓</div>");
    res = res.replace(/🍑/g,"<div class=\"emoji e1F351\">🍑</div>");
    res = res.replace(/🍈/g,"<div class=\"emoji e1F348\">🍈</div>");
    res = res.replace(/🍌/g,"<div class=\"emoji e1F34C\">🍌</div>");
    res = res.replace(/🍐/g,"<div class=\"emoji e1F350\">🍐</div>");
    res = res.replace(/🍍/g,"<div class=\"emoji e1F34D\">🍍</div>");
    res = res.replace(/🍠/g,"<div class=\"emoji e1F360\">🍠</div>");
    res = res.replace(/🍆/g,"<div class=\"emoji e1F346\">🍆</div>");
    res = res.replace(/🍅/g,"<div class=\"emoji e1F345\">🍅</div>");
    res = res.replace(/🌽/g,"<div class=\"emoji e1F33D\">🌽</div>");
    res = res.replace(/🏠/g,"<div class=\"emoji e1F3E0\">🏠</div>");
    res = res.replace(/🏡/g,"<div class=\"emoji e1F3E1\">🏡</div>");
    res = res.replace(/🏫/g,"<div class=\"emoji e1F3EB\">🏫</div>");
    res = res.replace(/🏢/g,"<div class=\"emoji e1F3E2\">🏢</div>");
    res = res.replace(/🏣/g,"<div class=\"emoji e1F3E3\">🏣</div>");
    res = res.replace(/🏥/g,"<div class=\"emoji e1F3E5\">🏥</div>");
    res = res.replace(/🏦/g,"<div class=\"emoji e1F3E6\">🏦</div>");
    res = res.replace(/🏪/g,"<div class=\"emoji e1F3EA\">🏪</div>");
    res = res.replace(/🏩/g,"<div class=\"emoji e1F3E9\">🏩</div>");
    res = res.replace(/🏨/g,"<div class=\"emoji e1F3E8\">🏨</div>");
    res = res.replace(/💒/g,"<div class=\"emoji e1F492\">💒</div>");
    res = res.replace(/⛪/g,"<div class=\"emoji e26EA\">⛪</div>");
    res = res.replace(/🏬/g,"<div class=\"emoji e1F3EC\">🏬</div>");
    res = res.replace(/🏤/g,"<div class=\"emoji e1F3E4\">🏤</div>");
    res = res.replace(/🌇/g,"<div class=\"emoji e1F307\">🌇</div>");
    res = res.replace(/🌆/g,"<div class=\"emoji e1F306\">🌆</div>");
    res = res.replace(/🏯/g,"<div class=\"emoji e1F3EF\">🏯</div>");
    res = res.replace(/🏰/g,"<div class=\"emoji e1F3F0\">🏰</div>");
    res = res.replace(/⛺/g,"<div class=\"emoji e26FA\">⛺</div>");
    res = res.replace(/🏭/g,"<div class=\"emoji e1F3ED\">🏭</div>");
    res = res.replace(/🗼/g,"<div class=\"emoji e1F5FC\">🗼</div>");
    res = res.replace(/🗾/g,"<div class=\"emoji e1F5FE\">🗾</div>");
    res = res.replace(/🗻/g,"<div class=\"emoji e1F5FB\">🗻</div>");
    res = res.replace(/🌄/g,"<div class=\"emoji e1F304\">🌄</div>");
    res = res.replace(/🌅/g,"<div class=\"emoji e1F305\">🌅</div>");
    res = res.replace(/🌃/g,"<div class=\"emoji e1F303\">🌃</div>");
    res = res.replace(/🗽/g,"<div class=\"emoji e1F5FD\">🗽</div>");
    res = res.replace(/🌉/g,"<div class=\"emoji e1F309\">🌉</div>");
    res = res.replace(/🎠/g,"<div class=\"emoji e1F3A0\">🎠</div>");
    res = res.replace(/🎡/g,"<div class=\"emoji e1F3A1\">🎡</div>");
    res = res.replace(/⛲/g,"<div class=\"emoji e26F2\">⛲</div>");
    res = res.replace(/🎢/g,"<div class=\"emoji e1F3A2\">🎢</div>");
    res = res.replace(/🚢/g,"<div class=\"emoji e1F6A2\">🚢</div>");
    res = res.replace(/⛵/g,"<div class=\"emoji e26F5\">⛵</div>");
    res = res.replace(/🚤/g,"<div class=\"emoji e1F6A4\">🚤</div>");
    res = res.replace(/🚣/g,"<div class=\"emoji e1F6A3\">🚣</div>");
    res = res.replace(/⚓/g,"<div class=\"emoji e2693\">⚓</div>");
    res = res.replace(/🚀/g,"<div class=\"emoji e1F680\">🚀</div>");
    res = res.replace(/✈/g,"<div class=\"emoji e2708\">✈</div>");
    res = res.replace(/💺/g,"<div class=\"emoji e1F4BA\">💺</div>");
    res = res.replace(/🚁/g,"<div class=\"emoji e1F681\">🚁</div>");
    res = res.replace(/🚂/g,"<div class=\"emoji e1F682\">🚂</div>");
    res = res.replace(/🚊/g,"<div class=\"emoji e1F68A\">🚊</div>");
    res = res.replace(/🚉/g,"<div class=\"emoji e1F689\">🚉</div>");
    res = res.replace(/🚞/g,"<div class=\"emoji e1F69E\">🚞</div>");
    res = res.replace(/🚆/g,"<div class=\"emoji e1F686\">🚆</div>");
    res = res.replace(/🚄/g,"<div class=\"emoji e1F684\">🚄</div>");
    res = res.replace(/🚅/g,"<div class=\"emoji e1F685\">🚅</div>");
    res = res.replace(/🚈/g,"<div class=\"emoji e1F688\">🚈</div>");
    res = res.replace(/🚇/g,"<div class=\"emoji e1F687\">🚇</div>");
    res = res.replace(/🚝/g,"<div class=\"emoji e1F69D\">🚝</div>");
    res = res.replace(/🚋/g,"<div class=\"emoji e1F68B\">🚋</div>");
    res = res.replace(/🚃/g,"<div class=\"emoji e1F683\">🚃</div>");
    res = res.replace(/🚎/g,"<div class=\"emoji e1F68E\">🚎</div>");
    res = res.replace(/🚌/g,"<div class=\"emoji e1F68C\">🚌</div>");
    res = res.replace(/🚍/g,"<div class=\"emoji e1F68D\">🚍</div>");
    res = res.replace(/🚙/g,"<div class=\"emoji e1F699\">🚙</div>");
    res = res.replace(/🚘/g,"<div class=\"emoji e1F698\">🚘</div>");
    res = res.replace(/🚗/g,"<div class=\"emoji e1F697\">🚗</div>");
    res = res.replace(/🚕/g,"<div class=\"emoji e1F695\">🚕</div>");
    res = res.replace(/🚖/g,"<div class=\"emoji e1F696\">🚖</div>");
    res = res.replace(/🚛/g,"<div class=\"emoji e1F69B\">🚛</div>");
    res = res.replace(/🚚/g,"<div class=\"emoji e1F69A\">🚚</div>");
    res = res.replace(/🚨/g,"<div class=\"emoji e1F6A8\">🚨</div>");
    res = res.replace(/🚓/g,"<div class=\"emoji e1F693\">🚓</div>");
    res = res.replace(/🚔/g,"<div class=\"emoji e1F694\">🚔</div>");
    res = res.replace(/🚒/g,"<div class=\"emoji e1F692\">🚒</div>");
    res = res.replace(/🚑/g,"<div class=\"emoji e1F691\">🚑</div>");
    res = res.replace(/🚐/g,"<div class=\"emoji e1F690\">🚐</div>");
    res = res.replace(/🚲/g,"<div class=\"emoji e1F6B2\">🚲</div>");
    res = res.replace(/🚡/g,"<div class=\"emoji e1F6A1\">🚡</div>");
    res = res.replace(/🚟/g,"<div class=\"emoji e1F69F\">🚟</div>");
    res = res.replace(/🚠/g,"<div class=\"emoji e1F6A0\">🚠</div>");
    res = res.replace(/🚜/g,"<div class=\"emoji e1F69C\">🚜</div>");
    res = res.replace(/💈/g,"<div class=\"emoji e1F488\">💈</div>");
    res = res.replace(/🚏/g,"<div class=\"emoji e1F68F\">🚏</div>");
    res = res.replace(/🎫/g,"<div class=\"emoji e1F3AB\">🎫</div>");
    res = res.replace(/🚦/g,"<div class=\"emoji e1F6A6\">🚦</div>");
    res = res.replace(/🚥/g,"<div class=\"emoji e1F6A5\">🚥</div>");
    res = res.replace(/⚠/g,"<div class=\"emoji e26A0\">⚠</div>");
    res = res.replace(/🚧/g,"<div class=\"emoji e1F6A7\">🚧</div>");
    res = res.replace(/🔰/g,"<div class=\"emoji e1F530\">🔰</div>");
    res = res.replace(/⛽/g,"<div class=\"emoji e26FD\">⛽</div>");
    res = res.replace(/🏮/g,"<div class=\"emoji e1F3EE\">🏮</div>");
    res = res.replace(/🎰/g,"<div class=\"emoji e1F3B0\">🎰</div>");
    res = res.replace(/♨/g,"<div class=\"emoji e2668\">♨</div>");
    res = res.replace(/🗿/g,"<div class=\"emoji e1F5FF\">🗿</div>");
    res = res.replace(/🎪/g,"<div class=\"emoji e1F3AA\">🎪</div>");
    res = res.replace(/🎭/g,"<div class=\"emoji e1F3AD\">🎭</div>");
    res = res.replace(/📍/g,"<div class=\"emoji e1F4CD\">📍</div>");
    res = res.replace(/🚩/g,"<div class=\"emoji e1F6A9\">🚩</div>");
    res = res.replace(/🇯🇵/g,"<div class=\"emoji e1F1EF-1F1F5\">🇯🇵</div>");
    res = res.replace(/🇰🇷/g,"<div class=\"emoji e1F1F0-1F1F7\">🇰🇷</div>");
    res = res.replace(/🇩🇪/g,"<div class=\"emoji e1F1E9-1F1EA\">🇩🇪</div>");
    res = res.replace(/🇨🇳/g,"<div class=\"emoji e1F1E8-1F1F3\">🇨🇳</div>");
    res = res.replace(/🇺🇸/g,"<div class=\"emoji e1F1FA-1F1F8\">🇺🇸</div>");
    res = res.replace(/🇫🇷/g,"<div class=\"emoji e1F1EB-1F1F7\">🇫🇷</div>");
    res = res.replace(/🇪🇸/g,"<div class=\"emoji e1F1EA-1F1F8\">🇪🇸</div>");
    res = res.replace(/🇮🇹/g,"<div class=\"emoji e1F1EE-1F1F9\">🇮🇹</div>");
    res = res.replace(/🇷🇺/g,"<div class=\"emoji e1F1F7-1F1FA\">🇷🇺</div>");
    res = res.replace(/🇬🇧/g,"<div class=\"emoji e1F1EC-1F1E7\">🇬🇧</div>");
    res = res.replace(/1⃣/g,"<div class=\"emoji e31-20E3\">1⃣</div>");
    res = res.replace(/2⃣/g,"<div class=\"emoji e32-20E3\">2⃣</div>");
    res = res.replace(/3⃣/g,"<div class=\"emoji e33-20E3\">3⃣</div>");
    res = res.replace(/4⃣/g,"<div class=\"emoji e34-20E3\">4⃣</div>");
    res = res.replace(/5⃣/g,"<div class=\"emoji e35-20E3\">5⃣</div>");
    res = res.replace(/6⃣/g,"<div class=\"emoji e36-20E3\">6⃣</div>");
    res = res.replace(/7⃣/g,"<div class=\"emoji e37-20E3\">7⃣</div>");
    res = res.replace(/8⃣/g,"<div class=\"emoji e38-20E3\">8⃣</div>");
    res = res.replace(/9⃣/g,"<div class=\"emoji e39-20E3\">9⃣</div>");
    res = res.replace(/0⃣/g,"<div class=\"emoji e30-20E3\">0⃣</div>");
    res = res.replace(/🔟/g,"<div class=\"emoji e1F51F\">🔟</div>");
    res = res.replace(/🔢/g,"<div class=\"emoji e1F522\">🔢</div>");
    res = res.replace(/#⃣/g,"<div class=\"emoji e23-20E3\">#⃣</div>");
    res = res.replace(/🔣/g,"<div class=\"emoji e1F523\">🔣</div>");
    res = res.replace(/⬆/g,"<div class=\"emoji e2B06\">⬆</div>");
    res = res.replace(/⬇/g,"<div class=\"emoji e2B07\">⬇</div>");
    res = res.replace(/⬅/g,"<div class=\"emoji e2B05\">⬅</div>");
    res = res.replace(/➡/g,"<div class=\"emoji e27A1\">➡</div>");
    res = res.replace(/🔠/g,"<div class=\"emoji e1F520\">🔠</div>");
    res = res.replace(/🔡/g,"<div class=\"emoji e1F521\">🔡</div>");
    res = res.replace(/🔤/g,"<div class=\"emoji e1F524\">🔤</div>");
    res = res.replace(/↗/g,"<div class=\"emoji e2197\">↗</div>");
    res = res.replace(/↖/g,"<div class=\"emoji e2196\">↖</div>");
    res = res.replace(/↘/g,"<div class=\"emoji e2198\">↘</div>");
    res = res.replace(/↙/g,"<div class=\"emoji e2199\">↙</div>");
    res = res.replace(/↔/g,"<div class=\"emoji e2194\">↔</div>");
    res = res.replace(/↕/g,"<div class=\"emoji e2195\">↕</div>");
    res = res.replace(/🔄/g,"<div class=\"emoji e1F504\">🔄</div>");
    res = res.replace(/◀/g,"<div class=\"emoji e25C0\">◀</div>");
    res = res.replace(/▶/g,"<div class=\"emoji e25B6\">▶</div>");
    res = res.replace(/🔼/g,"<div class=\"emoji e1F53C\">🔼</div>");
    res = res.replace(/🔽/g,"<div class=\"emoji e1F53D\">🔽</div>");
    res = res.replace(/↩/g,"<div class=\"emoji e21A9\">↩</div>");
    res = res.replace(/↪/g,"<div class=\"emoji e21AA\">↪</div>");
    res = res.replace(/ℹ/g,"<div class=\"emoji e2139\">ℹ</div>");
    res = res.replace(/⏪/g,"<div class=\"emoji e23EA\">⏪</div>");
    res = res.replace(/⏩/g,"<div class=\"emoji e23E9\">⏩</div>");
    res = res.replace(/⏫/g,"<div class=\"emoji e23EB\">⏫</div>");
    res = res.replace(/⏬/g,"<div class=\"emoji e23EC\">⏬</div>");
    res = res.replace(/⤵/g,"<div class=\"emoji e2935\">⤵</div>");
    res = res.replace(/⤴/g,"<div class=\"emoji e2934\">⤴</div>");
    res = res.replace(/🆗/g,"<div class=\"emoji e1F197\">🆗</div>");
    res = res.replace(/🔀/g,"<div class=\"emoji e1F500\">🔀</div>");
    res = res.replace(/🔁/g,"<div class=\"emoji e1F501\">🔁</div>");
    res = res.replace(/🔂/g,"<div class=\"emoji e1F502\">🔂</div>");
    res = res.replace(/🆕/g,"<div class=\"emoji e1F195\">🆕</div>");
    res = res.replace(/🆙/g,"<div class=\"emoji e1F199\">🆙</div>");
    res = res.replace(/🆒/g,"<div class=\"emoji e1F192\">🆒</div>");
    res = res.replace(/🆓/g,"<div class=\"emoji e1F193\">🆓</div>");
    res = res.replace(/🆖/g,"<div class=\"emoji e1F196\">🆖</div>");
    res = res.replace(/📶/g,"<div class=\"emoji e1F4F6\">📶</div>");
    res = res.replace(/🎦/g,"<div class=\"emoji e1F3A6\">🎦</div>");
    res = res.replace(/🈁/g,"<div class=\"emoji e1F201\">🈁</div>");
    res = res.replace(/🈯/g,"<div class=\"emoji e1F22F\">🈯</div>");
    res = res.replace(/🈳/g,"<div class=\"emoji e1F233\">🈳</div>");
    res = res.replace(/🈵/g,"<div class=\"emoji e1F235\">🈵</div>");
    res = res.replace(/🈴/g,"<div class=\"emoji e1F234\">🈴</div>");
    res = res.replace(/🈲/g,"<div class=\"emoji e1F232\">🈲</div>");
    res = res.replace(/🉐/g,"<div class=\"emoji e1F250\">🉐</div>");
    res = res.replace(/🈹/g,"<div class=\"emoji e1F239\">🈹</div>");
    res = res.replace(/🈺/g,"<div class=\"emoji e1F23A\">🈺</div>");
    res = res.replace(/🈶/g,"<div class=\"emoji e1F236\">🈶</div>");
    res = res.replace(/🈚/g,"<div class=\"emoji e1F21A\">🈚</div>");
    res = res.replace(/🚻/g,"<div class=\"emoji e1F6BB\">🚻</div>");
    res = res.replace(/🚹/g,"<div class=\"emoji e1F6B9\">🚹</div>");
    res = res.replace(/🚺/g,"<div class=\"emoji e1F6BA\">🚺</div>");
    res = res.replace(/🚼/g,"<div class=\"emoji e1F6BC\">🚼</div>");
    res = res.replace(/🚾/g,"<div class=\"emoji e1F6BE\">🚾</div>");
    res = res.replace(/🚰/g,"<div class=\"emoji e1F6B0\">🚰</div>");
    res = res.replace(/🚮/g,"<div class=\"emoji e1F6AE\">🚮</div>");
    res = res.replace(/🅿/g,"<div class=\"emoji e1F17F\">🅿</div>");
    res = res.replace(/♿/g,"<div class=\"emoji e267F\">♿</div>");
    res = res.replace(/🚭/g,"<div class=\"emoji e1F6AD\">🚭</div>");
    res = res.replace(/🈷/g,"<div class=\"emoji e1F237\">🈷</div>");
    res = res.replace(/🈸/g,"<div class=\"emoji e1F238\">🈸</div>");
    res = res.replace(/🈂/g,"<div class=\"emoji e1F202\">🈂</div>");
    res = res.replace(/Ⓜ/g,"<div class=\"emoji e24C2\">Ⓜ</div>");
    res = res.replace(/🛂/g,"<div class=\"emoji e1F6C2\">🛂</div>");
    res = res.replace(/🛄/g,"<div class=\"emoji e1F6C4\">🛄</div>");
    res = res.replace(/🛅/g,"<div class=\"emoji e1F6C5\">🛅</div>");
    res = res.replace(/🛃/g,"<div class=\"emoji e1F6C3\">🛃</div>");
    res = res.replace(/🉑/g,"<div class=\"emoji e1F251\">🉑</div>");
    res = res.replace(/㊙/g,"<div class=\"emoji e3299\">㊙</div>");
    res = res.replace(/㊗/g,"<div class=\"emoji e3297\">㊗</div>");
    res = res.replace(/🆑/g,"<div class=\"emoji e1F191\">🆑</div>");
    res = res.replace(/🆘/g,"<div class=\"emoji e1F198\">🆘</div>");
    res = res.replace(/🆔/g,"<div class=\"emoji e1F194\">🆔</div>");
    res = res.replace(/🚫/g,"<div class=\"emoji e1F6AB\">🚫</div>");
    res = res.replace(/🔞/g,"<div class=\"emoji e1F51E\">🔞</div>");
    res = res.replace(/📵/g,"<div class=\"emoji e1F4F5\">📵</div>");
    res = res.replace(/🚯/g,"<div class=\"emoji e1F6AF\">🚯</div>");
    res = res.replace(/🚱/g,"<div class=\"emoji e1F6B1\">🚱</div>");
    res = res.replace(/🚳/g,"<div class=\"emoji e1F6B3\">🚳</div>");
    res = res.replace(/🚷/g,"<div class=\"emoji e1F6B7\">🚷</div>");
    res = res.replace(/🚸/g,"<div class=\"emoji e1F6B8\">🚸</div>");
    res = res.replace(/⛔/g,"<div class=\"emoji e26D4\">⛔</div>");
    res = res.replace(/✳/g,"<div class=\"emoji e2733\">✳</div>");
    res = res.replace(/❇/g,"<div class=\"emoji e2747\">❇</div>");
    res = res.replace(/❎/g,"<div class=\"emoji e274E\">❎</div>");
    res = res.replace(/✅/g,"<div class=\"emoji e2705\">✅</div>");
    res = res.replace(/✴/g,"<div class=\"emoji e2734\">✴</div>");
    res = res.replace(/💟/g,"<div class=\"emoji e1F49F\">💟</div>");
    res = res.replace(/🆚/g,"<div class=\"emoji e1F19A\">🆚</div>");
    res = res.replace(/📳/g,"<div class=\"emoji e1F4F3\">📳</div>");
    res = res.replace(/📴/g,"<div class=\"emoji e1F4F4\">📴</div>");
    res = res.replace(/🅰/g,"<div class=\"emoji e1F170\">🅰</div>");
    res = res.replace(/🅱/g,"<div class=\"emoji e1F171\">🅱</div>");
    res = res.replace(/🆎/g,"<div class=\"emoji e1F18E\">🆎</div>");
    res = res.replace(/🅾/g,"<div class=\"emoji e1F17E\">🅾</div>");
    res = res.replace(/💠/g,"<div class=\"emoji e1F4A0\">💠</div>");
    res = res.replace(/➿/g,"<div class=\"emoji e27BF\">➿</div>");
    res = res.replace(/♻/g,"<div class=\"emoji e267B\">♻</div>");
    res = res.replace(/♈/g,"<div class=\"emoji e2648\">♈</div>");
    res = res.replace(/♉/g,"<div class=\"emoji e2649\">♉</div>");
    res = res.replace(/♊/g,"<div class=\"emoji e264A\">♊</div>");
    res = res.replace(/♋/g,"<div class=\"emoji e264B\">♋</div>");
    res = res.replace(/♌/g,"<div class=\"emoji e264C\">♌</div>");
    res = res.replace(/♍/g,"<div class=\"emoji e264D\">♍</div>");
    res = res.replace(/♎/g,"<div class=\"emoji e264E\">♎</div>");
    res = res.replace(/♏/g,"<div class=\"emoji e264F\">♏</div>");
    res = res.replace(/♐/g,"<div class=\"emoji e2650\">♐</div>");
    res = res.replace(/♑/g,"<div class=\"emoji e2651\">♑</div>");
    res = res.replace(/♒/g,"<div class=\"emoji e2652\">♒</div>");
    res = res.replace(/♓/g,"<div class=\"emoji e2653\">♓</div>");
    res = res.replace(/⛎/g,"<div class=\"emoji e26CE\">⛎</div>");
    res = res.replace(/🔯/g,"<div class=\"emoji e1F52F\">🔯</div>");
    res = res.replace(/🏧/g,"<div class=\"emoji e1F3E7\">🏧</div>");
    res = res.replace(/💹/g,"<div class=\"emoji e1F4B9\">💹</div>");
    res = res.replace(/💲/g,"<div class=\"emoji e1F4B2\">💲</div>");
    res = res.replace(/💱/g,"<div class=\"emoji e1F4B1\">💱</div>");
    res = res.replace(/©/g,"<div class=\"emoji eA9\">©</div>");
    res = res.replace(/®/g,"<div class=\"emoji eAE\">®</div>");
    res = res.replace(/™/g,"<div class=\"emoji e2122\">™</div>");
    res = res.replace(/❌/g,"<div class=\"emoji e274C\">❌</div>");
    res = res.replace(/‼/g,"<div class=\"emoji e203C\">‼</div>");
    res = res.replace(/⁉/g,"<div class=\"emoji e2049\">⁉</div>");
    res = res.replace(/❗/g,"<div class=\"emoji e2757\">❗</div>");
    res = res.replace(/❓/g,"<div class=\"emoji e2753\">❓</div>");
    res = res.replace(/❕/g,"<div class=\"emoji e2755\">❕</div>");
    res = res.replace(/❔/g,"<div class=\"emoji e2754\">❔</div>");
    res = res.replace(/⭕/g,"<div class=\"emoji e2B55\">⭕</div>");
    res = res.replace(/🔝/g,"<div class=\"emoji e1F51D\">🔝</div>");
    res = res.replace(/🔚/g,"<div class=\"emoji e1F51A\">🔚</div>");
    res = res.replace(/🔙/g,"<div class=\"emoji e1F519\">🔙</div>");
    res = res.replace(/🔛/g,"<div class=\"emoji e1F51B\">🔛</div>");
    res = res.replace(/🔜/g,"<div class=\"emoji e1F51C\">🔜</div>");
    res = res.replace(/🔃/g,"<div class=\"emoji e1F503\">🔃</div>");
    res = res.replace(/🕛/g,"<div class=\"emoji e1F55B\">🕛</div>");
    res = res.replace(/🕧/g,"<div class=\"emoji e1F567\">🕧</div>");
    res = res.replace(/🕐/g,"<div class=\"emoji e1F550\">🕐</div>");
    res = res.replace(/🕜/g,"<div class=\"emoji e1F55C\">🕜</div>");
    res = res.replace(/🕑/g,"<div class=\"emoji e1F551\">🕑</div>");
    res = res.replace(/🕝/g,"<div class=\"emoji e1F55D\">🕝</div>");
    res = res.replace(/🕒/g,"<div class=\"emoji e1F552\">🕒</div>");
    res = res.replace(/🕞/g,"<div class=\"emoji e1F55E\">🕞</div>");
    res = res.replace(/🕓/g,"<div class=\"emoji e1F553\">🕓</div>");
    res = res.replace(/🕟/g,"<div class=\"emoji e1F55F\">🕟</div>");
    res = res.replace(/🕔/g,"<div class=\"emoji e1F554\">🕔</div>");
    res = res.replace(/🕠/g,"<div class=\"emoji e1F560\">🕠</div>");
    res = res.replace(/🕕/g,"<div class=\"emoji e1F555\">🕕</div>");
    res = res.replace(/🕡/g,"<div class=\"emoji e1F561\">🕡</div>");
    res = res.replace(/🕖/g,"<div class=\"emoji e1F556\">🕖</div>");
    res = res.replace(/🕢/g,"<div class=\"emoji e1F562\">🕢</div>");
    res = res.replace(/🕗/g,"<div class=\"emoji e1F557\">🕗</div>");
    res = res.replace(/🕣/g,"<div class=\"emoji e1F563\">🕣</div>");
    res = res.replace(/🕘/g,"<div class=\"emoji e1F558\">🕘</div>");
    res = res.replace(/🕤/g,"<div class=\"emoji e1F564\">🕤</div>");
    res = res.replace(/🕙/g,"<div class=\"emoji e1F559\">🕙</div>");
    res = res.replace(/🕥/g,"<div class=\"emoji e1F565\">🕥</div>");
    res = res.replace(/🕚/g,"<div class=\"emoji e1F55A\">🕚</div>");
    res = res.replace(/🕦/g,"<div class=\"emoji e1F566\">🕦</div>");
    res = res.replace(/✖/g,"<div class=\"emoji e2716\">✖</div>");
    res = res.replace(/➕/g,"<div class=\"emoji e2795\">➕</div>");
    res = res.replace(/➖/g,"<div class=\"emoji e2796\">➖</div>");
    res = res.replace(/➗/g,"<div class=\"emoji e2797\">➗</div>");
    res = res.replace(/♠/g,"<div class=\"emoji e2660\">♠</div>");
    res = res.replace(/♥/g,"<div class=\"emoji e2665\">♥</div>");
    res = res.replace(/♣/g,"<div class=\"emoji e2663\">♣</div>");
    res = res.replace(/♦/g,"<div class=\"emoji e2666\">♦</div>");
    res = res.replace(/💮/g,"<div class=\"emoji e1F4AE\">💮</div>");
    res = res.replace(/💯/g,"<div class=\"emoji e1F4AF\">💯</div>");
    res = res.replace(/✔/g,"<div class=\"emoji e2714\">✔</div>");
    res = res.replace(/☑/g,"<div class=\"emoji e2611\">☑</div>");
    res = res.replace(/🔘/g,"<div class=\"emoji e1F518\">🔘</div>");
    res = res.replace(/🔗/g,"<div class=\"emoji e1F517\">🔗</div>");
    res = res.replace(/➰/g,"<div class=\"emoji e27B0\">➰</div>");
    res = res.replace(/〰/g,"<div class=\"emoji e3030\">〰</div>");
    res = res.replace(/〽/g,"<div class=\"emoji e303D\">〽</div>");
    res = res.replace(/🔱/g,"<div class=\"emoji e1F531\">🔱</div>");
    res = res.replace(/◼/g,"<div class=\"emoji e25FC\">◼</div>");
    res = res.replace(/◻/g,"<div class=\"emoji e25FB\">◻</div>");
    res = res.replace(/◾/g,"<div class=\"emoji e25FE\">◾</div>");
    res = res.replace(/◽/g,"<div class=\"emoji e25FD\">◽</div>");
    res = res.replace(/▪/g,"<div class=\"emoji e25AA\">▪</div>");
    res = res.replace(/▫/g,"<div class=\"emoji e25AB\">▫</div>");
    res = res.replace(/🔺/g,"<div class=\"emoji e1F53A\">🔺</div>");
    res = res.replace(/🔲/g,"<div class=\"emoji e1F532\">🔲</div>");
    res = res.replace(/🔳/g,"<div class=\"emoji e1F533\">🔳</div>");
    res = res.replace(/⚫/g,"<div class=\"emoji e26AB\">⚫</div>");
    res = res.replace(/⚪/g,"<div class=\"emoji e26AA\">⚪</div>");
    res = res.replace(/🔴/g,"<div class=\"emoji e1F534\">🔴</div>");
    res = res.replace(/🔵/g,"<div class=\"emoji e1F535\">🔵</div>");
    res = res.replace(/🔻/g,"<div class=\"emoji e1F53B\">🔻</div>");
    res = res.replace(/⬜/g,"<div class=\"emoji e2B1C\">⬜</div>");
    res = res.replace(/⬛/g,"<div class=\"emoji e2B1B\">⬛</div>");
    res = res.replace(/🔶/g,"<div class=\"emoji e1F536\">🔶</div>");
    res = res.replace(/🔷/g,"<div class=\"emoji e1F537\">🔷</div>");
    res = res.replace(/🔸/g,"<div class=\"emoji e1F538\">🔸</div>");
    res = res.replace(/🔹/g,"<div class=\"emoji e1F539\">🔹</div>");
    node.innerHTML = res;
}
//]]>
