/*
Copyright (C) Arturo Torres Sánchez 2013

This file is part of Trino.

Trino is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Trino is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Trino.  If not, see <http://www.gnu.org/licenses/>.
*/

using Gee;

namespace Trino {
    public class Parser : Object {
        public static Map<string, string> parse_response (string fullresponse) {
            var r = "";
            Map<string, string> map = new HashMap<string, string> ();
            if (fullresponse.contains ("?")) {
                r = fullresponse.split ("?")[1];
            } else {
                r = fullresponse;
            }
            var responses = r.split("&");
            foreach (string response in responses) {
                var pair = response.split("=");
                map.set (pair[0], pair[1]);
            }
            return map;
        }
        public static string escape_html (string text) {
            string res = text.replace("'", "&#x27;");
            res = res.replace("\n", "<br />");
            return res;
        }
        public static string read (string path) {
            uint8[] contents;
            FileUtils.get_data (path, out contents);
            string res = (string) contents;
            return res.replace("\n","");
        }
        public static int get_url_count (string text, int short_url_length, int short_url_length_https) {
            //TODO: Is there any better way to initialize Regexs?
            new TweetRegex ();
            var regex = TweetRegex.VALID_URL;
            MatchInfo match_info;
            int count = text.char_count ();
            bool res = regex.match (text, 0, out match_info);
            while (res) {
                count -= match_info.fetch (3).char_count ();
                string? protocol = match_info.fetch (4);
                if (protocol == "https://") {
                    count += short_url_length_https;
                } else {
                    count += short_url_length;
                }
                res = match_info.next ();
            }
            return count;
        }
    }
}
